import { ChangeDetectorRef, TemplateRef } from '@angular/core';
import { NzNoAnimationDirective } from 'ant-reset-private/core';
import { NzToolTipComponent } from 'ant-reset-private/tooltip';
export declare class NzPopoverComponent extends NzToolTipComponent {
    noAnimation?: NzNoAnimationDirective | undefined;
    _prefix: string;
    /** Used to remove NzToolTipComponent @ContentChild('nzTemplate') */
    nzTitle: string | TemplateRef<void>;
    nzContent: string | TemplateRef<void>;
    constructor(cdr: ChangeDetectorRef, noAnimation?: NzNoAnimationDirective | undefined);
    protected isContentEmpty(): boolean;
}
