import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { NzUpdateHostClassService } from 'ant-reset-private/core';
import { NzColDirective, NzRowDirective } from 'ant-reset-private/grid';
import { NzFormItemComponent } from './nz-form-item.component';
export declare class NzFormLabelComponent extends NzColDirective implements OnDestroy, AfterViewInit {
    private cdr;
    nzFor: string;
    nzRequired: boolean;
    nzNoColon: boolean;
    defaultNoColon: boolean;
    noColon: boolean | string;
    constructor(nzUpdateHostClassService: NzUpdateHostClassService, elementRef: ElementRef, nzFormItemComponent: NzFormItemComponent, nzRowDirective: NzRowDirective, renderer: Renderer2, cdr: ChangeDetectorRef);
    setDefaultNoColon(value: boolean): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
}
