import { Component } from '@angular/core';

@Component({
  selector: '<%= selector %>',
  <% if(inlineTemplate) { %>template: `
    <nz-timeline>
      <nz-timeline-item nzColor="green"
        ><div left>2015-09-01</div>
        Create a services site 2015-09-01</nz-timeline-item
      >
      <nz-timeline-item nzColor="green"
        ><div left>2015-09-01</div>
        Solve initial network problems 2015-09-01</nz-timeline-item
      >
      <nz-timeline-item nzColor="red">
        <div left>2015-09-01</div>
        <p>Solve initial network problems 1</p>
        <p>Solve initial network problems 2</p>
        <p>Solve initial network problems 3 2015-09-01</p>
      </nz-timeline-item>
      <nz-timeline-item>
        <div left>2015-09-01</div>
        <p>Technical testing 1</p>
        <p>Technical testing 2</p>
        <p>Technical testing 3 2015-09-01</p>
      </nz-timeline-item>
    </nz-timeline>
  `<% } else { %>templateUrl: './<%= dasherize(name) %>.component.html'<% } %>,
  <% if(inlineStyle) { %>styles: [`
      div[left] {
        width: 80px;
      }
    `]<% } else { %>styleUrls: ['./<%= dasherize(name) %>.component.<%= style %>']<% } %>
})
export class <%= classify(name) %>Component {}
